

;;;;;;;;;;;;;;;  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun uzelfas ( / cmd blpm apsz osmd clay cltp ccol rfas cpt pt1 pt1f
                   pt1fug pt1fun pt5f pt5fu pt9 pt9un pt9uv pt200 pt201
                   pt202 pt203 pt204 pt205 pt206 label1 sset1 tvst edat31)


  (setq cmd (getvar "cmdecho"))
  (setq blpm (getvar "blipmode"))
  (setq apsz (getvar "aperture"))
  (setq osmd (getvar "osmode"))
  (setq clay (getvar "clayer"))
  (setq cltp (getvar "celtype"))
  (setq ccol (getvar "cecolor"))
  (setq oscor (getvar "osnapcoord"))
  (setvar "cmdecho" 0)
  (setvar "blipmode" 0)
  (setvar "osnapcoord" 1) 

  (defun lay_o ()
    (command "_'layer" "s" "0" "")
  ) ;_ end of defun
  (lay_o)


  (defun lay_gen4 ()
    (command "_'layer" "m" "4" "c" "3" "" "")
  ) ;_ end of defun

 (if (eq fasn1 "1")
     (setq rfas fas1)
     (setq rfas fas2)
 )
 

  (defun ris_uzel ()

    (setq cpt '(0.0 0.0))
    (setvar "osmode" 0)
    (setvar "aperture" 1)
;;-------------------   -------------------- 
 (setq pt1    (polar cpt (/ pi 2) (- (* 0.5 dmtr) htv)) 
       pt1f   (polar pt1 0 rfas)
       pt1fug (polar pt1f 0 (* 1.2 rfas))
       pt1fun (polar pt1f (- (/ pi 2)) (* 1.2 rfas))
       pt5f   (polar pt1f (/ (* pi 3) 4) (* (sqrt 2.0) htv))
       pt5fu  (polar pt5f 0 (+ htv (* 1.2 rfas)))
       pt9    (polar pt1 (/ pi 2) rfas)
       pt9un  (polar pt9 (- (/ pi 2)) (+ rfas (* 1.2 rfas)))
       pt9uv  (polar pt9 (/ pi 2) (* 1.2 rfas))
   )
;;-----------------------------------------------------------------

;;-------------------   ----------------------
 (setq pt200 (polar cpt (/ pi 2) (- (* dmtr 0.5) rfas))
       pt201 (polar pt200 (/ pi 4) (* rfas (sqrt 2.0)))
       pt202 (polar pt201 0 htv)
       pt203 (polar pt202 (- (/ pi 2)) htv)
       pt204 (polar pt201 (- (/ pi 2)) (+ rfas htv))
       pt205 (polar pt200 (- (/ pi 2)) htv)
       pt206 (polar pt201 (- (* (/ pi 4) 3)) (* htv (sqrt 2.0)))
 )
;;-----------------------------------------------------------------
(defun uzelvntfas ()
   (command "_line" pt9uv pt9un "")
      (setq label1 (entlast)
	    sset1   (ssadd (entlast))
      ) ;_ end of setq
   (command "_line" pt9 pt1f pt1fug ""
            "_line" pt1f pt1fun "")
      (command "color" "1")
  (command "_line" pt5f pt5fu "")
  (command "_pline" pt9un "_a" "_r" (* 1.5 rfas) pt1fun
                               "_r" (* 1.5 rfas) pt1fug 
                               "_r" (* 1.5 rfas) pt5fu 
                               "_r" (* 2.0 rfas) pt9uv "")
      (command "color" "byl")
) ;end of uzelvntfas----------------------------------------------
;;-----------------------------------------------------------------
(defun uzelnarfas ()
   (command "_line" pt200 pt205 "")
      (setq label1 (entlast)
	    sset1   (ssadd (entlast))
      ) ;_ end of setq
   (command "_line" pt202 pt201 pt204 ""
            "_line" pt200 pt201 "")
      (command "color" "1")
  (command "_line" pt203 pt206 "")
  (command "_pline" pt205 "_a" "_r" (* 1.5 rfas) pt204
                               "_r" (* 2 rfas) pt203
                               "_r" (* 2 rfas) pt202 "")
      (command "color" "byl")
) ;end of uzelnarfas----------------------------------------------

(if (eq strg1 "1")
    (progn (setq tvst pt200) (uzelnarfas))
    (progn (setq tvst pt1f) (uzelvntfas))
)

    (setvar "cmdecho" cmd)
    (setvar "blipmode" blpm)

    (while (setq label1 (entnext label1))
      (setq sset1 (ssadd label1 sset1))
    ) ;_ end of while
  ) ;_end of RIS-UZEL


(defun edat1 ()
    (setq edat31 (strcat "K1YU" strg1 fasn1 fasu21 
                    (itoa (fix (* 10 rfas)))
                    (itoa (fix (* 100 shagv)))))
 ) ;_end of defun EDAT1
  (defun clip_bl1 ()
    (edat1)
    (if	(eq (tblsearch "block" edat31) nil)
      (progn
	(ris_uzel)
	(command "._block" edat31 tvst sset1 "")
	(setvar "aperture" apsz)
	(setvar "osmode" osmd)
	(setvar "clayer" clay)
	(command "._insert" edat31 pause 1 1 pause)
      ) ;_end of progn
      (progn
	(setvar "clayer" clay)
	(command "._insert" edat31 pause 1 1 pause)
      ) ;_end of progn
    ) ;_ end of if
    (setvar "celtype" cltp)
    (setvar "cecolor" ccol)
    (setvar "osnapcoord" oscor) 
  ) ;_ end of defun clip_bl1
 (clip_bl1)
  (prin1)
)
